<bugID>1199795<Summary>New Tab's height doesn't update the same moment when I delete extra tiles/choose "show blank page"</Summary><Description>Created attachment 8654342
Video - scenario (B) - New Tab's height doesn't update the same moment when I delete extra tiles or choose 'show blank page'.webm

STR:   (Win7_64bit, Nightly 43.0a1 32bit   ID 20150828030205, new profile)

[There's 2 scenarios: (A) and (B). Watch video to see scenario (B) ]

0.   Open New Tab, click Gear button, uncheck "Include suggested sites". Adjust the window's height so that only 4 tiles in a row were visible, and only 2 or 1 rows were fully visible.
1. Fill all visible tiles on New Tab +1 tile. If you already have enough sites there to cause
   overflow, then skip this step.
  1.1. Open attached page, click textarea, press Ctrl+A to select all text, press Ctrl+C to copy
  1.2. Press Ctrl+B to open bookmarks, click "Bookmarks Menu", press Ctrl+V to create bookmarks
  1.3. Right-click "Bookmarks Menu", click "Open all in tabs" menuitem.
2.   Open New Tab, make sure that there's overflow on New Tab (vertical scrollbar is visible)
3.A) Click Gear button, select "Show blank page"
3.B) Delete extra tiles, so that the existing tabs were fully visible (that means that
     there should be no overflow according to bug 1194895)
4.   Click "New tab" button/press Ctrl+T to open new tab
5.   Repeat Step 4.

Result:       After Step 4 scrollbar is still visible. It disappears only after Step 5.
              If I set browser.newtab.preload -&gt; true then scrollbar disappears after Step 4.
Expectations: Scrollbar should disappear after Step 3.</Description></bugID>